Get test case comments
GET
/testcasecommentsGet comments for a specific test case
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestcasesCommentsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestcasesCommentsApi(config);
const result = await api.getTestCaseComments({ "testCase": 123, "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testcasecomments?token=$TESTCOLLAB_TOKEN&test_case=123&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
test_case |
query | integer | Yes | Test case ID |
project |
query | integer | Yes | Project ID |
_limit |
query | integer | No | Limit the size of the returned results |
_start |
query | integer | No | Skip a specific number of entries (for pagination) |
_sort |
query | string | No | Sort according to a specific field. |
_filter |
query | string | No | Stringified filter object (the filtering guide) |
Response
Section titled “Response”200 — Test case comments
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].testPlanId |
number | No | — |
[].parent_id |
number | No | — |
[].project |
number | No | — |
[].attachments |
Upload Collection | No | — |
[].attachments[].id |
number | Yes | — |
[].attachments[].name |
string | Yes | — |
[].attachments[].hash |
string | Yes | — |
[].attachments[].ext |
string | Yes | — |
[].attachments[].mime |
string | Yes | — |
[].attachments[].size |
string | Yes | — |
[].attachments[].url |
string | Yes | — |
[].attachments[].created_by |
number | No | — |
[].attachments[].created_at |
string | Yes | — |
[].attachments[].updated_at |
string | Yes | — |
[].mentions |
User Collection | No | — |
[].mentions[].id |
number | Yes | — |
[].mentions[].name |
string | Yes | — |
[].mentions[].about_me |
string | No | — |
[].mentions[].email |
string | Yes | If email is modified then a confirmation should be sent |
[].mentions[].avatar |
Upload | No | — |
[].mentions[].avatar.id |
number | Yes | — |
[].mentions[].avatar.name |
string | Yes | — |
[].mentions[].avatar.hash |
string | Yes | — |
[].mentions[].avatar.ext |
string | Yes | — |
[].mentions[].avatar.mime |
string | Yes | — |
[].mentions[].avatar.size |
string | Yes | — |
[].mentions[].avatar.url |
string | Yes | — |
[].mentions[].avatar.created_by |
number | No | — |
[].mentions[].avatar.created_at |
string | Yes | — |
[].mentions[].avatar.updated_at |
string | Yes | — |
[].mentions[].username |
string | No | — |
[].mentions[].last_active |
string | No | — |
[].mentions[].confirmed |
boolean | No | — |
[].mentions[].rank |
string | No | Values: User, Administrator. |
[].mentions[].projects |
Project User Minified Collection | No | — |
[].mentions[].projects[].id |
number | Yes | — |
[].mentions[].projects[].user |
number | Yes | — |
[].mentions[].projects[].project |
number | Yes | — |
[].mentions[].projects[].role |
number | Yes | — |
[].mentions[].projects[].created_at |
string | Yes | — |
[].mentions[].projects[].updated_at |
string | Yes | — |
[].mentions[].created_at |
string | No | — |
[].mentions[].is_guest |
number | No | — |
[].test_case |
number | No | — |
[].comment |
string | Yes | — |
[].created_by |
User Minified | Yes | — |
[].created_by.id |
number | Yes | — |
[].created_by.username |
string | No | — |
[].created_by.name |
string | Yes | — |
[].created_by.avatar |
Upload | No | — |
[].created_by.avatar.id |
number | Yes | — |
[].created_by.avatar.name |
string | Yes | — |
[].created_by.avatar.hash |
string | Yes | — |
[].created_by.avatar.ext |
string | Yes | — |
[].created_by.avatar.mime |
string | Yes | — |
[].created_by.avatar.size |
string | Yes | — |
[].created_by.avatar.url |
string | Yes | — |
[].created_by.avatar.created_by |
number | No | — |
[].created_by.avatar.created_at |
string | Yes | — |
[].created_by.avatar.updated_at |
string | Yes | — |
[].created_by.is_guest |
number | No | — |
[].created_at |
string | No | — |
[]Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |